﻿@model List<RoleViewModel>
@{
    ViewBag.Title = "نقش های کاربری";
}

<div class="row">
    <div class="col-12">
        <a class="btn btn-primary" href="#" onclick="AddRole(); return false;"><i class="fa fa-plus"></i> افزودن</a>
    </div>
    <div class="col-12">
        <div class="card card-box">
            <div class="card-body">
                <div class="table">
                    <table class="table-responsive table-striped">
                        <thead>
                            <tr>
                                <th>ردیف</th>
                                <th>نام نقش</th>
                                <th>عملیات</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                                <tr>
                                    <td>@item.Id</td>
                                    <td>@item.Name</td>
                                    <td>
                                        @if (item.Name != "Admin")
                                        {
                                            <a href="@Url.Action("EditRolePermissions", new { id = item.Id })" class="btn btn-primary"> دسترسی ها</a>
                                            <a href="@Url.Action("Users", new { id = item.Id })" class="btn btn-success"> کاربران</a>
                                            <a href="#" class="btn btn-danger" onclick="DeleteRole(@item.Id, @item.Name); return false;"><i class="fa fa-remove"></i> حذف</a>
                                        }
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        function DeleteRole(id, name) {
            var deleteUrl = '@Url.Action("DeleteRole")';
            confirmDialog("آیا از حذف نقش کاربری " + name + " مطمئن هستید؟", function () {
                doAjax({ id: id }, deleteUrl, function (data) {
                    if (data.Status) {
                        location.reload();
                    }
                });
            });
        }

        function AddRole() {
            var addUrl = '@Url.Action("Add")';
            confirmWithInputDialog("افزودن نقش جدید", "نام نقش", 'نام وارد نشده است', function () {
                doAjax({ name: $('#customInput').val() }, addUrl, function (data) {
                    if (data.Status) {
                        location.reload();
                    }
                });
            });
        }
    </script>
}